package buffalowildwings.menu;

import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ImageButton;

/**
 * This class sets up the foodtype buttons located in the top left of the screen
 * during the OrderMenu Activity
 * @author zac
 *
 */
public class FoodTypeButtons {
	ImageButton Flatbreads,Appetizer, Burgers, Salad,Desserts,Tenders,Wraps,Sandwiches,Combos,Beverages,Wings, Sides;
	Activity MenuScreen;
	private ButtonListener b;
	public FoodTypeButtons(Activity a){
		MenuScreen = a;
		b = new ButtonListener();
		Flatbreads = (ImageButton) a.findViewById(R.id.flatbreads);
		Flatbreads.setImageResource(R.drawable.flatbreads_button);
		Flatbreads.setOnClickListener(b);
		Appetizer = (ImageButton) a.findViewById(R.id.Appetizer);
		Appetizer.setImageResource(R.drawable.appetizer_button);
		Appetizer.setOnClickListener(b);
		Burgers = (ImageButton) a.findViewById(R.id.burgers);
		Burgers.setImageResource(R.drawable.burger_buttom);
		Burgers.setOnClickListener(b);
		Salad = (ImageButton) a.findViewById(R.id.salads);
		Salad.setImageResource(R.drawable.salads_button);
		Salad.setOnClickListener(b);
		Desserts = (ImageButton) a.findViewById(R.id.desserts);
		Desserts.setImageResource(R.drawable.dessert_button);
		Desserts.setOnClickListener(b);		
		Tenders = (ImageButton) a.findViewById(R.id.tenders);
		Tenders.setImageResource(R.drawable.tenders_button);
		Tenders.setOnClickListener(b);
		Wraps = (ImageButton) a.findViewById(R.id.wraps);
		Wraps.setImageResource(R.drawable.wraps_button);
		Wraps.setOnClickListener(b);
		Sandwiches = (ImageButton) a.findViewById(R.id.sandwiches);
		Sandwiches.setImageResource(R.drawable.sandwiches_button);
		Sandwiches.setOnClickListener(b);
		Combos = (ImageButton) a.findViewById(R.id.combos);
		Combos.setImageResource(R.drawable.combo_button);
		Combos.setOnClickListener(b);
		Beverages = (ImageButton) a.findViewById(R.id.beverages);
		Beverages.setImageResource(R.drawable.beverages_buttom);
		Beverages.setOnClickListener(b);
		Wings = (ImageButton) a.findViewById(R.id.wings);
		Wings.setImageResource(R.drawable.wings_button);
		Wings.setOnClickListener(b);
		Sides = (ImageButton) a.findViewById(R.id.sides);
		Sides.setImageResource(R.drawable.sides_button);
		Sides.setOnClickListener(b);
		
	}
	
	private class ButtonListener implements OnClickListener{

		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			int id = v.getId();
			if(id == R.id.flatbreads){
				
				((MenuTest2Activity) MenuScreen).setMenu("Flatbreads");
			}
			else if(id == R.id.Appetizer){
				
				((MenuTest2Activity) MenuScreen).setMenu("Appetizers");
			}
			
			else if(id == R.id.beverages){
				
				((MenuTest2Activity) MenuScreen).setMenu("Beverages");
			}
			else if(id == R.id.wings){
				
				((MenuTest2Activity) MenuScreen).setMenu("Wings");
			}
			else if(id == R.id.wraps){
				
				((MenuTest2Activity) MenuScreen).setMenu("Wraps");
			}
			else if(id == R.id.salads){
				
				((MenuTest2Activity) MenuScreen).setMenu("Salads");
			}
			else if(id == R.id.burgers){
				
				((MenuTest2Activity) MenuScreen).setMenu("Burgers");
			}
			else if(id == R.id.combos){
				
				((MenuTest2Activity) MenuScreen).setMenu("Combos");
			}
			else if(id == R.id.sandwiches){
				
				((MenuTest2Activity) MenuScreen).setMenu("Sandwiches");
			}
			else if(id == R.id.tenders){
				
				((MenuTest2Activity) MenuScreen).setMenu("Tenders and Shrimp");
			}
			else if(id == R.id.desserts){
				
				((MenuTest2Activity) MenuScreen).setMenu("Desserts");
			}
			else if(id == R.id.sides){
				
				((MenuTest2Activity) MenuScreen).setMenu("Sides");
			}
		
		
		
		
		}
		
		
	}
	
}
