package buffalowildwings.menu;

import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.util.Log;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.ViewGroup;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.PopupWindow;
import android.widget.TextView;
import android.widget.Toast;

public class SaucePopUp {
	private Activity activity;
	private PopupWindow pw;
	private ImageView sweetbbq,teriyaki,mild,parmesangarlic,medium,honeybbq,spicygarlic,asianzing,jamminjalepeno,caribbeanjerk,hotbbq,hot,mangohabanero,wild,blazin;
	private TextView sauce;
	private View layout;
	private ImageListener l;
	private int saucenum,count;
	private String saucetext[];
	private Button sauceback,SauceOK;
	private Order order;
	public boolean working;
	private OrderList orderlist;
	public SaucePopUp(Activity a, int saucenum, Order o,OrderList order){
		this.activity=a;
		this.saucenum=saucenum;
		saucetext = new String[saucenum];
		this.order=o;
		count=-1;
		working=false;
		orderlist =order;
	}
	
	public void initiatePopupWindow() {
	    try {
	    	working=true;
	        //We need to get the instance of the LayoutInflater, use the context of this activity
	        LayoutInflater inflater = (LayoutInflater) activity.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	        //Inflate the view from a predefined XML layout
	        layout = inflater.inflate(R.layout.popup,
	                (ViewGroup) activity.findViewById(R.id.popup_element));
	        layout.setBackgroundColor(Color.BLACK);
	        // create a 300px width and 470px height PopupWindow
	        pw = new PopupWindow(layout, 1274, 428, true);
	        // display the popup in the center
	        pw.showAtLocation(layout,0, 700, 400);
	        sauce = (TextView)layout.findViewById(R.id.saucetext);
	        sauce.setText("Please Select Up To "+saucenum+" Sauce(s)");
	        sauce.setBackgroundColor(Color.BLACK);
	        sauceback = (Button)layout.findViewById(R.id.SauceBackButton);
	        sauceback.setOnClickListener(new buttonlistener());
	        SauceOK = (Button)layout.findViewById(R.id.SauceOKButton);
	        SauceOK.setOnClickListener(new buttonlistener());
	        l = new ImageListener();
	        initsauces();

	 
	    } catch (Exception e) {
	        e.printStackTrace(); 
	    }
	}
	
	private void initsauces(){
		sweetbbq = (ImageView) layout.findViewById(R.id.sweetbbq);
		sweetbbq.setOnTouchListener(l);
		
		teriyaki = (ImageView) layout.findViewById(R.id.teriyake);
		teriyaki.setOnTouchListener(l);
		
		mild = (ImageView) layout.findViewById(R.id.mild);
		mild.setOnTouchListener(l);
		
		parmesangarlic = (ImageView) layout.findViewById(R.id.parmesangarlic);
		parmesangarlic.setOnTouchListener(l);
		
		medium = (ImageView) layout.findViewById(R.id.medium);
		medium.setOnTouchListener(l);
		
		honeybbq = (ImageView) layout.findViewById(R.id.honeybbq);
		honeybbq.setOnTouchListener(l);
		
		spicygarlic = (ImageView) layout.findViewById(R.id.spicygarlic);
		spicygarlic.setOnTouchListener(l);
		
		asianzing = (ImageView) layout.findViewById(R.id.asianzing);
		asianzing.setOnTouchListener(l);
		
		jamminjalepeno = (ImageView) layout.findViewById(R.id.jamminjalepeno);
		jamminjalepeno.setOnTouchListener(l);
		
		caribbeanjerk = (ImageView) layout.findViewById(R.id.caribbeanjerk);
		caribbeanjerk.setOnTouchListener(l);
		
		hotbbq = (ImageView) layout.findViewById(R.id.hotbbq);
		hotbbq.setOnTouchListener(l);
		
		hot = (ImageView) layout.findViewById(R.id.hot);
		hot.setOnTouchListener(l);
		
		mangohabanero = (ImageView) layout.findViewById(R.id.mangohabanero);
		mangohabanero.setOnTouchListener(l);
		
		wild = (ImageView) layout.findViewById(R.id.wild);
		wild.setOnTouchListener(l);
		
		blazin= (ImageView) layout.findViewById(R.id.blazin);
		blazin.setOnTouchListener(l);
	}
	
	private class buttonlistener implements OnClickListener {
	    public void onClick(View v) {
	    	int id = v.getId();
	    	if(id==R.id.SauceBackButton){
	    		if(count<0)
	    			pw.dismiss();
	    		else if(count == 0){
	    			count--;
	    			sauce.setText("Please Select Up To "+saucenum+" Sauce(s)");
	    		}
	    		else{
	    			saucetext[count]=null;
	    			count--;
	    			sauce.setText(printSauces());
	    			if(count<0)
	    				sauceback.setText("Cancel");
	    		}
	    	}
	    	else{
	    		for(int i=0;i<=count;i++){
	    			order.Name+="\n  "+saucetext[i];
	    		}
	    		orderlist.addToOrder(order);
				Toast toast = Toast.makeText(activity.getApplicationContext(), "Added "+order.Name+" \nto order", Toast.LENGTH_SHORT);
				toast.show();
    			pw.dismiss();
	    	}
	    }
	};
	
	
	   private class ImageListener implements OnTouchListener{
			public boolean onTouch(View v, MotionEvent event) {
				int id = v.getId();
				if(id==R.id.sweetbbq){
					if(count<saucenum-1){
						count++;
					}
					Log.d(null,"sweetbbq");
					saucetext[count]="Sweet BBQ";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.teriyake){
					if(count<saucenum-1)
						count++;
					Log.d(null,"teriyaki");
					saucetext[count]="Teriyaki";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.mild){
					if(count<saucenum-1)
						count++;
					Log.d(null,"mild");
					saucetext[count]="Mild";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.parmesangarlic){
					if(count<saucenum-1)
						count++;
					Log.d(null,"parmesangarlic");
					saucetext[count]="Parmesan Garlic";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.medium){
					if(count<saucenum-1)
						count++;
					Log.d(null,"medium");
					saucetext[count]="Medium";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.honeybbq){
					if(count<saucenum-1)
						count++;
					Log.d(null,"honeybbq");
					saucetext[count]="Honey BBQ";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.spicygarlic){
					if(count<saucenum-1)
						count++;
					Log.d(null,"spicygarlic");
					saucetext[count]="Spicy Garlic";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.asianzing){
					if(count<saucenum-1)
						count++;
					Log.d(null,"asianzing");
					saucetext[count]="Asian Zing";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.jamminjalepeno){
					if(count<saucenum-1)
						count++;
					Log.d(null,"jamminjalepeno");
					saucetext[count]="Jammin Jalepeno";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.caribbeanjerk){
					if(count<saucenum-1)
						count++;
					Log.d(null,"caribbeanjerk");
					saucetext[count]="Caribbean Jerk";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.hotbbq){
					if(count<saucenum-1)
						count++;
					Log.d(null,"hotbbq");
					saucetext[count]="Hot BBQ";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.hot){
					if(count<saucenum-1)
						count++;
					Log.d(null,"hot");
					saucetext[count]="Hot";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.mangohabanero){
					if(count<saucenum-1)
						count++;
					Log.d(null,"mangohabanero");
					saucetext[count]="Mango Habanero";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.wild){
					if(count<saucenum-1)
						count++;
					Log.d(null,"wild");
					saucetext[count]="Wild";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				else if(id == R.id.blazin){
					if(count<saucenum-1)
						count++;
					Log.d(null,"blazin");
					saucetext[count]="Blazin";
					sauce.setText(printSauces());
					sauceback.setText("Back");
				}
				return false;
			}
		   }
	   
	   private String printSauces(){
		   String s="";
		   for(int i=0;i<=count;i++){
			   s+=saucetext[i]+"        ";
		   }
		   return s;
	   }
}