CREATE DATABASE  IF NOT EXISTS `restauto` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `restauto`;
-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: localhost    Database: restauto
-- ------------------------------------------------------
-- Server version	5.5.21

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `menuitemtest`
--

DROP TABLE IF EXISTS `menuitemtest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menuitemtest` (
  `itemID` int(11) NOT NULL,
  `itemName` varchar(50) NOT NULL,
  `itemFoodType` varchar(20) NOT NULL,
  `itemDescription` varchar(1000) DEFAULT NULL,
  `itemPrice` double NOT NULL,
  `URL` varchar(200) DEFAULT NULL,
  `itemCookTime` varchar(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menuitemtest`
--

LOCK TABLES `menuitemtest` WRITE;
/*!40000 ALTER TABLE `menuitemtest` DISABLE KEYS */;
INSERT INTO `menuitemtest` VALUES (100001,'Black & Bleu Burger','Burgers','Seasoned for that bayou bite, topped with bleu cheese dressing. Prepared medium-well and served with natural-cut french fries.',10.22,NULL,NULL),(100002,'Honey Bbq Bacon Burger','Burgers','Topped with our signature Honey BBQ sauce, sliced cheese and bacon. Served with lettuce, tomato and onion. Prepared medium-well and served with natural-cut french fries.',10.22,NULL,NULL),(100003,'Cheeseburger','Burgers','A true champion. Topped with admiration and your choice of American, cheddar, pepper jack or Swiss. Add your favorite Buffalo Wild Wings sauce or dry seasoning and create a trophy of taste. Prepared medium-well and served with natural-cut french fries.',9.67,NULL,NULL),(100004,'Big Jack Daddy Burger','Burgers','We pile hickory-smoked pulled pork, fried onion rings, cheddar jack cheese and our signature Honey BBQ sauce on an already mouth-watering burger. Prepared medium-well and served with natural-cut french fries. ',10.77,NULL,NULL),(100005,'Screamin\' Nacho Burger','Burgers','Two grilled slammer patties, Chipotle BBQ seasoning, corn tortilla chips, pepper jack cheese, jalapenos, pico de gallo and a drizzle of southwestern ranch dressing. Prepared medium-well and served with natural-cut french fries.',10,NULL,NULL),(100006,'Juicy Steak Burger','Burgers','Between two Slammer patties, a pile of juicy sliced steak, fried onion rings, pepper jack cheese and your choice of Buffalo Wild Wings sauce.',10.33,NULL,NULL),(110001,'Coca-cola','Beverages','12 oz can',1.09,NULL,NULL),(110002,'Diet Coca-cola','Beverages','12 oz can',1.09,NULL,NULL),(110003,'Coca-cola Zero','Beverages','12 oz can',1.09,NULL,NULL),(110004,'Dr. Pepper','Beverages','12 oz can',1.09,NULL,NULL),(110005,'Diet Dr. Pepper','Beverages','12 oz can',1.09,NULL,NULL),(110006,'Sprite','Beverages','12 oz can',1.09,NULL,NULL),(110007,'Lipton Green Tea','Beverages',NULL,3.09,NULL,NULL),(110008,'Bottled Water','Beverages',NULL,1.09,NULL,NULL),(200001,'8 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',8.57,NULL,NULL),(200002,'12 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 2 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch',10.55,NULL,NULL),(200003,'18 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 3 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',15.17,NULL,NULL),(200004,'24 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 4 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',19.35,NULL,NULL),(200005,'50 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 4 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',38.49,NULL,NULL),(200006,'6 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',5.82,NULL,NULL),(200007,'12 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 2 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',9.89,NULL,NULL),(200008,'18 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 3 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',14.62,NULL,NULL),(200009,'24 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 4 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',18.36,NULL,NULL),(200010,'50 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 4 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',37.17,NULL,NULL),(300001,'Buffalo Ranch Chicken Wrap','Wraps','Crispy chicken Buffalo Tenders topped with our signature Medium sauce, ranch dressing, lettuce, tomato and a blend of cheeses. Served with fresh corn tortilla chips and salsa.',8.46,NULL,NULL),(300002,'Southwest Chicken Queso Wrap','Wraps','Seasoned, grilled chicken smothered in queso and southwestern ranch dressing with lettuce and pico de gallo. Served with fresh corn tortilla chips and salsa.',8.46,NULL,NULL),(300003,'Pepper Jack Steak Wrap','Wraps','A seriously savory wrap that always gives 110%. Bursting with seasoned steak, pepper jack cheese, lettuce, pico de gallo and southwestern ranch dressing. Served with fresh corn tortilla chips and salsa.',9.23,NULL,NULL),(300004,'Chicken Wrap','Wraps','Take the checkered flag with this large flour tortilla stuffed with our juicy, Grilled or Crispy chicken, a blend of cheeses, lettuce, tomato and your favorite Buffalo Wild Wings sauce or dry seasoning. Served with fresh corn tortilla chips and salsa',8.46,NULL,NULL),(300005,'Fish Tacos','Wraps','Golden-crisp filets, cradled in two soft flour tortillas. Topped with lettuce, pico de gallo, a blend of cheeses and your favorite Buffalo Wild Wings sauce. Served with tartar sauce and a side of fresh corn tortilla chips and salsa.',9.01,NULL,NULL),(300006,'Grilled Chicken Buffalitos','Wraps','Two soft flour tortillas with grilled chicken, lettuce, pico de gallo, a blend of cheeses, sour cream and your favorite Buffalo Wild Wings sauce or dry seasoning. Served with fresh corn tortilla chips and salsa.',8.46,NULL,NULL),(400001,'Pulled Pork Sandwich','Sandwiches','Hickory-smoked, hand-pulled pork tossed in your favorite Buffalo Wild Wings sauce. Lettuce, tomato, onion served upon request. Served with natural-cut french fries.',9.56,NULL,NULL),(400002,'Buffalo Ranch Chicken Sandwich','Sandwiches','Give your taste buds something to celebrate with our breaded, all-white chicken breast cooked golden-crisp, topped with Swiss cheese, ranch dressing and our signature Medium sauce. Served with natural-cut french fries, and lettuce, tomato, and onion.',9.56,NULL,NULL),(400003,'Jerk Chicken Sandwich','Sandwiches','Blackened grilled chicken breast topped with our signature Caribbean Jerk sauce and bleu cheese dressing. Try it, and the only name you\'ll be calling this sandwich is Delicious. Served with natural-cut french fries, and lettuce, tomato, and onion.',9.56,NULL,NULL),(400004,'Honey Bbq Bacon Chicken Sandwich','Sandwiches','Seasoned, grilled chicken breast with crispy bacon, our signature Honey BBQ sauce and sliced cheese. Go wild. Served with natural-cut french fries, and lettuce, tomato, and onion.',9.56,NULL,NULL),(400005,'Chicken Sandwich','Sandwiches','You call the shots. Grilled or Crispy chicken breast topped with your favorite Buffalo Wild Wings sauce or dry seasoning. Served with natural-cut french fries, and lettuce, tomato, and onion.',9.56,NULL,NULL),(500001,'Buffalo Chicken Flatbread','Flatbreads','Our crispy oven-baked flatbread pizza crust covered with a blend of our signature Spicy Garlic sauce and bleu cheese dressing, chicken, fresh celery bits and mozzarella-provolone cheese blend.',8.79,NULL,NULL),(500002,'Parmesan Garlic Chicken Flatbread','Flatbreads','Our signature Parmesan Garlic sauce tops this crispy, oven-baked flatbread pizza along with chicken and mozzarella-provolone cheese blend.',8.79,NULL,NULL),(500003,'Spinach Artichoke Chicken Flatbread','Flatbreads','Savor the unexpected. Crispy, oven-baked flatbread pizza crust smothered with a rich, creamy spinach artichoke dip, diced chicken and mozzarella-provolone cheese blend.',8.79,NULL,NULL),(600001,'Ultimate Nachos','Appetizers','Step up to the plate. Chili, pico de gallo, shredded lettuce, jalapenos, queso and salsa all atop a mound of fresh corn tortilla chips.',8.02,NULL,NULL),(600002,'Mozzarella Sticks','Appetizers','Fried cheesy goodness served with marinara sauce.',6.59,NULL,NULL),(600003,'Southwest Bites','Appetizers','Get your hot streak started. Crushed tri-colored tortillas stuffed with queso, spicy chicken, jalapenos, tomatoes, onions, black beans and corn. Served with southwestern ranch dressing.',6.04,NULL,NULL),(600004,'Chips & Salsa','Appetizers','Warm corn tortilla chips served with red salsa and green tomatillo sauce.',4.39,NULL,NULL),(600005,'Slammers','Appetizers','Swing for the fence and drive home a trio of our bite-sized sandwiches. Add big-league flavor with your favorite Buffalo Wild Wings sauce. Served with natural-cut fries.',10.11,NULL,NULL),(600006,'Hot Dog Slammers','Appetizers','Three classic grilled mini beef dogs served with natural-cut fries.',8.13,NULL,NULL),(600007,'Soft Pretzels','Appetizers','Three artisan-style soft pretzels, lightly salted. Served warm with your choice of two dunks: queso cheese, honey mustard or your favorite Buffalo Wild Wings sauce.',5.49,NULL,NULL),(600008,'The Sampler','Appetizers','A mouth-watering game day roster: nachos, onion rings, mozzarella sticks and boneless wings in your favorite Buffalo Wild Wings sauce. Served with marinara, southwestern ranch and your choice of bleu cheese or ranch dressing.',13.19,NULL,NULL),(600009,'Roasted Garlic Mushrooms','Appetizers','Whole-button mushrooms, breaded and fried. Served with ranch or southwestern ranch.',6.04,NULL,NULL),(600010,'Fried Pickles','Appetizers','Cornmeal breaded chips cooked golden-brown and served with ranch or southwestern ranch.',5.82,NULL,NULL),(600011,'Chicken Quesadilla','Appetizers','A grilled flour tortilla stuffed with Cajun-seasoned grilled chicken, pico de gallo and a blend of cheeses.',7.91,NULL,NULL),(600012,'Mini Corn Dogs','Appetizers','Maximum taste. Served with honey mustard sauce.',5.82,NULL,NULL),(600013,'Chili Con Queso Dip','Appetizers','A winning blend of queso and chili served with tortilla chips.',7.03,NULL,NULL),(600014,'Spinach Artichoke Dip','Appetizers','Served with warm pita chips.',6.7,NULL,NULL),(600015,'Tablegating Sampler','Appetizers','Our favorite sharables for you to enjoy! Traditional wings spun in your favorite sauce or dry seasoning. Served with soft pretzels and queso, warm pita chips with spinach artichoke dip and our bacon and cheddar stuffed jalapeno pepper bites.',13.19,NULL,NULL),(600016,'Jalapeno Pepper Bites','Appetizers','Breaded jalapenos stuffed with cheddar cheese and bacon. Served with ranch or southwestern ranch dressing.',5.82,NULL,NULL),(700001,'Honey Bbq Chicken Salad','Salads','Fresh greens, pico de gallo, a blend of cheeses, grilled chicken and BBQ ranch dressing garnished with our signature Honey BBQ sauce.',9.12,NULL,NULL),(700002,'Asian Zing Chicken Salad','Salads','Heat meets sweet with this combination. Crisp greens, cabbage, grilled chicken and mandarin oranges garnished with our signature Asian Zing sauce and a light Asian sesame dressing.',9.12,NULL,NULL),(700003,'Grilled Blackened Chicken Salad','Salads','Grilled chicken with a roasted garlic rub served over a fresh garden salad. Give your taste buds a thrill ride.',9.12,NULL,NULL),(700004,'Grilled Chicken Salad','Salads','Seasoned, grilled chicken served over fresh greens with tomatoes, onions, a blend of cheeses and croutons',9.12,NULL,NULL),(700005,'Chicken Tender Salad','Salads','Your hunger doesn\'t stand a chance. Crispy chicken Buffalo Tenders spun in your favorite Buffalo Wild Wings sauce and served over a bed of fresh greens, tomatoes, onions, croutons and a blend of cheeses.',9.12,NULL,NULL),(800001,'Boneless & Traditional Wings','Combos','Our signature boneless and traditional wings spun in your favorite Buffalo Wild Wings sauce or dry seasoning. Served with your choice of celery, carrots, bleu cheese or ranch dressing. Comes with a side of sauce, coleslaw and natural-cut french fries.',15.17,NULL,NULL),(800002,'Ribs & Chicken Tenders','Combos','You simply can\'t beat \'em. A half pound of delicious glazed and grilled ribs and our original all-white, bread crispy chicken Buffalo tenders. Served with your favorite Buffalo Wing Wings sauce, coleslaw and natural-cut french fries.',14.07,NULL,NULL),(800003,'Ribs & Popcorn Shrimp','Combos','A half pound of glazed & grilled ribs and our signature popcorn shrimp.',14.07,NULL,NULL),(800004,'Ribs & Wings','Combos','This is a slam-dunk. A half pound of hunger-satisfying glazed and grilled ribs and our signature boneless or traditional wings spun in your favorite Buffalo Wild Wings sauce or dry seasoning. Served with your choice of celery, carrots, bleu cheese',15.17,NULL,NULL),(800005,'Ribs & More Ribs','Combos','A meal for the record books: a full pound of our glazed & grilled ribs. Served with your favorite Buffalo Wing Wings sauce, coleslaw and natural-cut french fries.',18.03,NULL,NULL),(800006,'Chicken Tenders & Popcorn Shrimp','Combos','Our original all-white, breaded, crispy chicken Buffalo Tenders and our signature popcorn shrimp. Served with your favorite Buffalo Wing Wings sauce, coleslaw and natural-cut french fries.',13.85,NULL,NULL),(900001,'Regular French Fries','Sides','Natural-cut fries. Try them dusted with our signature Salt & Vinegar seasoning. You\'ll have a new hometown hero.',2.85,NULL,NULL),(900002,'Basket Of French Fries','Sides','Natural-cut fries. Try them dusted with our signature Salt & Vinegar seasoning. You\'ll have a new hometown hero.',4.06,NULL,NULL),(900003,'Regular Potato Wedges','Sides','Sour cream and chive flavored potato wedges.',3.29,NULL,NULL),(900004,'Basket Of Potato Wedges','Sides','Sour cream and chive flavored potato wedges.',4.94,NULL,NULL),(900005,'Regular Buffalo Chips','Sides','You have the green flag to enjoy these natural-cut potato slices. Add one of our Signature dry seasonings and they\'ll be gone in record time.',3.29,NULL,NULL),(900006,'Basket of Buffalo Chips','Sides','You have the green flag to enjoy these natural-cut potato slices. Add one of our Signature dry seasonings and they\'ll be gone in record time.',4.94,NULL,NULL),(900007,'Regular Onion Rings','Sides','Fresh eye-watering onions plunged into beer batter then fried golden crisp. Served with southwestern ranch dressing.',4.83,NULL,NULL),(900008,'Basket of Onion Rings','Sides','Fresh eye-watering onions plunged into beer batter then fried golden crisp. Served with southwestern ranch dressing.',7.69,NULL,NULL),(900009,'Side Salad','Sides',NULL,4.06,NULL,NULL),(900010,'Coleslaw','Sides',NULL,1.09,NULL,NULL),(900011,'Veggie Boat','Sides','Celery and carrot sticks served with a side of fat-free ranch dressing.',2.19,NULL,NULL);
/*!40000 ALTER TABLE `menuitemtest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customerinfo`
--

DROP TABLE IF EXISTS `customerinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customerinfo` (
  `customerID` int(11) NOT NULL,
  `firstName` varchar(50) DEFAULT NULL,
  `lastName` varchar(50) DEFAULT NULL,
  `phoneNum` varchar(10) DEFAULT NULL,
  `emailAddress` varchar(50) DEFAULT NULL,
  `sideNote` varchar(200) DEFAULT NULL,
  `reservationDate` date DEFAULT NULL,
  `reservationTime` time DEFAULT NULL,
  `dateCreated` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`customerID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customerinfo`
--

LOCK TABLES `customerinfo` WRITE;
/*!40000 ALTER TABLE `customerinfo` DISABLE KEYS */;
INSERT INTO `customerinfo` VALUES (1,'zac','brown','2018350411','zacharybrown13@gmail.com','im really hungry','2012-03-21',NULL,'2012-03-28 01:22:16');
/*!40000 ALTER TABLE `customerinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ingredients`
--

DROP TABLE IF EXISTS `ingredients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ingredients` (
  `ingredientsID` int(11) NOT NULL,
  `ingredientName` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ingredientsID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ingredients`
--

LOCK TABLES `ingredients` WRITE;
/*!40000 ALTER TABLE `ingredients` DISABLE KEYS */;
INSERT INTO `ingredients` VALUES (1,'cheese'),(2,'tomatoe');
/*!40000 ALTER TABLE `ingredients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `employeeinfotest`
--

DROP TABLE IF EXISTS `employeeinfotest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `employeeinfotest` (
  `employeeID` int(11) NOT NULL,
  `firstName` varchar(50) NOT NULL,
  `lastName` varchar(50) NOT NULL,
  `PIN` varchar(4) NOT NULL,
  `empTitle` varchar(20) NOT NULL,
  `empBirthdate` date NOT NULL,
  `SSN` varchar(11) NOT NULL,
  `streetAddress` varchar(50) NOT NULL,
  `city` varchar(50) NOT NULL,
  `state` varchar(2) NOT NULL,
  `zipcode` varchar(5) NOT NULL,
  `phoneNum1` varchar(12) DEFAULT NULL,
  `phoneNum2` varchar(12) DEFAULT NULL,
  `dateHired` datetime DEFAULT NULL,
  `dateLastWorked` datetime DEFAULT NULL,
  `dateCreated` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`employeeID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `employeeinfotest`
--

LOCK TABLES `employeeinfotest` WRITE;
/*!40000 ALTER TABLE `employeeinfotest` DISABLE KEYS */;
/*!40000 ALTER TABLE `employeeinfotest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `resttabletest`
--

DROP TABLE IF EXISTS `resttabletest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resttabletest` (
  `tableID` int(11) NOT NULL,
  `tableStatus` varchar(20) NOT NULL DEFAULT 'Open',
  `assignedWaiter` varchar(50) DEFAULT NULL,
  `numOfSeats` int(11) DEFAULT NULL,
  PRIMARY KEY (`tableID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `resttabletest`
--

LOCK TABLES `resttabletest` WRITE;
/*!40000 ALTER TABLE `resttabletest` DISABLE KEYS */;
/*!40000 ALTER TABLE `resttabletest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customerorder`
--

DROP TABLE IF EXISTS `customerorder`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customerorder` (
  `orderID` int(11) NOT NULL AUTO_INCREMENT,
  `tableID` int(11) NOT NULL,
  `orderStatus` varchar(20) DEFAULT NULL,
  `orderDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`orderID`),
  KEY `fk_customerorder_resttable1` (`tableID`),
  CONSTRAINT `fk_customerorder_resttable1` FOREIGN KEY (`tableID`) REFERENCES `resttable` (`tableID`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customerorder`
--

LOCK TABLES `customerorder` WRITE;
/*!40000 ALTER TABLE `customerorder` DISABLE KEYS */;
/*!40000 ALTER TABLE `customerorder` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customerordertest`
--

DROP TABLE IF EXISTS `customerordertest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customerordertest` (
  `orderID` int(11) NOT NULL AUTO_INCREMENT,
  `tableID` int(11) NOT NULL,
  `orderStatus` varchar(20) DEFAULT NULL,
  `orderDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`orderID`),
  KEY `fk_customerorder_resttable1` (`tableID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customerordertest`
--

LOCK TABLES `customerordertest` WRITE;
/*!40000 ALTER TABLE `customerordertest` DISABLE KEYS */;
/*!40000 ALTER TABLE `customerordertest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customerinfotest`
--

DROP TABLE IF EXISTS `customerinfotest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customerinfotest` (
  `customerID` int(11) NOT NULL,
  `firstName` varchar(50) DEFAULT NULL,
  `lastName` varchar(50) DEFAULT NULL,
  `phoneNum` varchar(10) DEFAULT NULL,
  `emailAddress` varchar(50) DEFAULT NULL,
  `sideNote` varchar(200) DEFAULT NULL,
  `reservationDate` date DEFAULT NULL,
  `reservationTime` time DEFAULT NULL,
  `dateCreated` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`customerID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customerinfotest`
--

LOCK TABLES `customerinfotest` WRITE;
/*!40000 ALTER TABLE `customerinfotest` DISABLE KEYS */;
/*!40000 ALTER TABLE `customerinfotest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orderreceipt`
--

DROP TABLE IF EXISTS `orderreceipt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orderreceipt` (
  `receiptID` int(11) NOT NULL,
  `itemID` int(11) DEFAULT NULL,
  `itemName` varchar(50) DEFAULT NULL,
  `itemPrice` double DEFAULT NULL,
  `itemQuantity` int(11) DEFAULT NULL,
  `totalCost` double DEFAULT NULL,
  PRIMARY KEY (`receiptID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orderreceipt`
--

LOCK TABLES `orderreceipt` WRITE;
/*!40000 ALTER TABLE `orderreceipt` DISABLE KEYS */;
/*!40000 ALTER TABLE `orderreceipt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `employeeinfo`
--

DROP TABLE IF EXISTS `employeeinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `employeeinfo` (
  `employeeID` int(11) NOT NULL,
  `firstName` varchar(50) NOT NULL,
  `lastName` varchar(50) NOT NULL,
  `PIN` varchar(4) NOT NULL,
  `empTitle` varchar(20) NOT NULL,
  `empBirthdate` date NOT NULL,
  `SSN` varchar(11) NOT NULL,
  `streetAddress` varchar(50) NOT NULL,
  `city` varchar(50) NOT NULL,
  `state` varchar(2) NOT NULL,
  `zipcode` varchar(5) NOT NULL,
  `phoneNum1` varchar(12) DEFAULT NULL,
  `phoneNum2` varchar(12) DEFAULT NULL,
  `dateHired` datetime DEFAULT NULL,
  `dateLastWorked` datetime DEFAULT NULL,
  `dateCreated` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`employeeID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `employeeinfo`
--

LOCK TABLES `employeeinfo` WRITE;
/*!40000 ALTER TABLE `employeeinfo` DISABLE KEYS */;
INSERT INTO `employeeinfo` VALUES (1,'Pradnya','Pisal','1234','Manager','1991-09-16','1234567891','6 Terrier Pl','Kendall Park','NJ','08824','732-951-0740',NULL,NULL,NULL,'2012-03-19 03:59:33'),(2,'Will','Smith','2222','Chef','1968-09-25','3333333333','6 Terrier Pl','Kendall Park','NJ','08824','732-666-6666',NULL,NULL,NULL,'2012-03-19 03:59:33');
/*!40000 ALTER TABLE `employeeinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orderreceipttest`
--

DROP TABLE IF EXISTS `orderreceipttest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orderreceipttest` (
  `receiptID` int(11) NOT NULL,
  `itemID` int(11) DEFAULT NULL,
  `itemName` varchar(50) DEFAULT NULL,
  `itemPrice` double DEFAULT NULL,
  `itemQuantity` int(11) DEFAULT NULL,
  `totalCost` double DEFAULT NULL,
  PRIMARY KEY (`receiptID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orderreceipttest`
--

LOCK TABLES `orderreceipttest` WRITE;
/*!40000 ALTER TABLE `orderreceipttest` DISABLE KEYS */;
/*!40000 ALTER TABLE `orderreceipttest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menuitem`
--

DROP TABLE IF EXISTS `menuitem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menuitem` (
  `itemID` int(11) NOT NULL,
  `itemName` varchar(50) NOT NULL,
  `itemFoodType` varchar(20) NOT NULL,
  `itemDescription` varchar(1000) DEFAULT NULL,
  `itemPrice` double NOT NULL,
  `URL` varchar(200) DEFAULT NULL,
  `ingredientName` varchar(50) DEFAULT NULL,
  `sides` tinyint(1) DEFAULT '1',
  `sauces` tinyint(1) DEFAULT '0',
  `saucenumber` int(11) DEFAULT '0',
  PRIMARY KEY (`itemID`),
  UNIQUE KEY `ItemID_UNIQUE` (`itemID`),
  UNIQUE KEY `itemName_UNIQUE` (`itemName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='All Menu Items';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menuitem`
--

LOCK TABLES `menuitem` WRITE;
/*!40000 ALTER TABLE `menuitem` DISABLE KEYS */;
INSERT INTO `menuitem` VALUES (100001,'Black & Bleu Burger','Burgers','Seasoned for that bayou bite, topped with bleu cheese dressing. Prepared medium-well and served with natural-cut french fries.',10.22,NULL,NULL,1,0,0),(100002,'Honey Bbq Bacon Burger','Burgers','Topped with our signature Honey BBQ sauce, sliced cheese and bacon. Served with lettuce, tomato and onion. Prepared medium-well and served with natural-cut french fries.',10.22,NULL,NULL,1,0,0),(100003,'Cheeseburger','Burgers','A true champion. Topped with admiration and your choice of American, cheddar, pepper jack or Swiss. Add your favorite Buffalo Wild Wings sauce or dry seasoning and create a trophy of taste. Prepared medium-well and served with natural-cut french fries.',6,'www.google.com/search?q=Cheeseburger','Tomato',1,0,0),(100004,'Big Jack Daddy Burger','Burgers','We pile hickory-smoked pulled pork, fried onion rings, cheddar jack cheese and our signature Honey BBQ sauce on an already mouth-watering burger. Prepared medium-well and served with natural-cut french fries. ',8.77,'www.google.com/search?q=Big Jack Daddy Burger','Tomato',1,0,0),(100005,'Screamin\' Nacho Burger','Burgers','Two grilled slammer patties, Chipotle BBQ seasoning, corn tortilla chips, pepper jack cheese, jalapenos, pico de gallo and a drizzle of southwestern ranch dressing. Prepared medium-well and served with natural-cut french fries.',10,NULL,NULL,1,0,0),(100006,'Juicy Steak Burger','Burgers','Between two Slammer patties, a pile of juicy sliced steak, fried onion rings, pepper jack cheese and your choice of Buffalo Wild Wings sauce.',10.33,NULL,NULL,1,0,0),(100007,'testing','Burgers','testing',2,'www.google.com/search?q=testing','Tomato',1,0,0),(100008,'t','Burgers','t',2,'www.google.com/search?q=t','Tomato',1,0,0),(110003,'Coca-cola Zero','Beverages','12 oz can',1.09,NULL,NULL,0,0,0),(110004,'Dr. Pepper','Beverages','12 oz can',1.09,NULL,NULL,0,0,0),(110005,'Diet Dr. Pepper','Beverages','12 oz can',1.09,NULL,NULL,0,0,0),(110006,'Sprite','Beverages','12 oz can',1.09,NULL,NULL,0,0,0),(110007,'Lipton Green Tea','Beverages',NULL,3.09,NULL,NULL,0,0,0),(110008,'Bottled Water','Beverages','Bottled water',2.09,'www.google.com/search?q=Bottled Water','null',0,0,0),(120001,'Ice Cream','Desserts','Yummy',3.5,NULL,NULL,0,0,0),(120002,'Chocolate Cake','Desserts','Yummy',3.5,NULL,NULL,0,0,0),(130001,'6 Naked Tenders','Tenders and Shrimp','You can\'t bare not to eat these. Juicy, grilled chicken tenders seasoned to perfection and served with your favorite BUFFALO WILD WINGS sauce or dry seasoning',8.99,NULL,NULL,1,0,0),(130002,'4 Naked Tenders','Tenders and Shrimp','You can\'t bare not to eat these. Juicy, grilled chicken tenders seasoned to perfection and served with your favorite BUFFALO WILD WINGS sauce or dry seasoning',7.59,NULL,NULL,1,0,0),(130003,'6 Chicken Tenders','Tenders and Shrimp','Original all-white chicken Buffalo Tenders lightly breaded and cooked until crispy. Served with your favorite BUFFALO WILD WINGS sauce or dry seasoning.',8.99,NULL,NULL,1,0,0),(130004,'4 Chicken Tenders','Tenders and Shrimp','Original all-white chicken Buffalo Tenders lightly breaded and cooked until crispy. Served with your favorite BUFFALO WILD WINGS sauce or dry seasoning.',7.59,NULL,NULL,1,0,0),(130005,'Popcorn Chicken','Tenders and Shrimp','Signature peppercorn-garlic shrimp.  Served with your favorite BUFFALO WILD WINGS sauce or cocktail sauce.',8.79,NULL,NULL,1,0,0),(200001,'6 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',8.57,NULL,NULL,0,1,1),(200002,'12 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 2 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch',10.55,NULL,NULL,0,1,2),(200003,'18 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 3 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',15.17,NULL,NULL,0,1,3),(200004,'24 Boneless Wings','Wings','All-white chicken cooked golden-crisp and spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 4 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',19.35,NULL,NULL,0,1,4),(200006,'6 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',5.82,NULL,NULL,0,1,1),(200007,'12 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 2 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',9.89,NULL,NULL,0,1,2),(200008,'18 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 3 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',14.62,NULL,NULL,0,1,3),(200009,'24 Traditional Wings','Wings','Award-winning Buffalo, New York-style wings spun Fresh in your favorite Buffalo Wild Wings sauce. You can choose up to 4 sauces, and each additional sauce is $.60. Add a dry seasoning to your wings for an additional $.60. Served with your choice of celery, carrots, bleu cheese or ranch.',18.36,NULL,NULL,0,1,4),(300001,'Buffalo Ranch Chicken Wrap','Wraps','Crispy chicken Buffalo Tenders topped with our signature Medium sauce, ranch dressing, lettuce, tomato and a blend of cheeses. Served with fresh corn tortilla chips and salsa.',8.46,NULL,NULL,1,0,0),(300002,'Southwest Chicken Queso Wrap','Wraps','Seasoned, grilled chicken smothered in queso and southwestern ranch dressing with lettuce and pico de gallo. Served with fresh corn tortilla chips and salsa.',8.46,NULL,NULL,1,0,0),(300003,'Pepper Jack Steak Wrap','Wraps','A seriously savory wrap that always gives 110%. Bursting with seasoned steak, pepper jack cheese, lettuce, pico de gallo and southwestern ranch dressing. Served with fresh corn tortilla chips and salsa.',9.23,NULL,NULL,1,0,0),(300004,'Chicken Wrap','Wraps','Take the checkered flag with this large flour tortilla stuffed with our juicy, Grilled or Crispy chicken, a blend of cheeses, lettuce, tomato and your favorite Buffalo Wild Wings sauce or dry seasoning. Served with fresh corn tortilla chips and salsa',8.46,NULL,NULL,1,0,0),(300005,'Fish Tacos','Wraps','Golden-crisp filets, cradled in two soft flour tortillas. Topped with lettuce, pico de gallo, a blend of cheeses and your favorite Buffalo Wild Wings sauce. Served with tartar sauce and a side of fresh corn tortilla chips and salsa.',9.01,NULL,NULL,1,0,0),(300006,'Grilled Chicken Buffalitos','Wraps','Two soft flour tortillas with grilled chicken, lettuce, pico de gallo, a blend of cheeses, sour cream and your favorite Buffalo Wild Wings sauce or dry seasoning. Served with fresh corn tortilla chips and salsa.',8.46,NULL,NULL,1,0,0),(400001,'Pulled Pork Sandwich','Sandwiches','Hickory-smoked, hand-pulled pork tossed in your favorite Buffalo Wild Wings sauce. Lettuce, tomato, onion served upon request. Served with natural-cut french fries.',9.56,NULL,NULL,1,0,0),(400002,'Buffalo Ranch Chicken Sandwich','Sandwiches','Give your taste buds something to celebrate with our breaded, all-white chicken breast cooked golden-crisp, topped with Swiss cheese, ranch dressing and our signature Medium sauce. Served with natural-cut french fries, and lettuce, tomato, and onion.',9.56,NULL,NULL,1,0,0),(400003,'Jerk Chicken Sandwich','Sandwiches','Blackened grilled chicken breast topped with our signature Caribbean Jerk sauce and bleu cheese dressing. Try it, and the only name you\'ll be calling this sandwich is Delicious. Served with natural-cut french fries, and lettuce, tomato, and onion.',9.56,NULL,NULL,1,0,0),(400004,'Honey Bbq Bacon Chicken Sandwich','Sandwiches','Seasoned, grilled chicken breast with crispy bacon, our signature Honey BBQ sauce and sliced cheese. Go wild. Served with natural-cut french fries, and lettuce, tomato, and onion.',9.56,NULL,NULL,1,0,0),(400005,'Chicken Sandwich','Sandwiches','You call the shots. Grilled or Crispy chicken breast topped with your favorite Buffalo Wild Wings sauce or dry seasoning. Served with natural-cut french fries, and lettuce, tomato, and onion.',9.56,NULL,NULL,1,0,0),(500001,'Buffalo Chicken Flatbread','Flatbreads','Our crispy oven-baked flatbread pizza crust covered with a blend of our signature Spicy Garlic sauce and bleu cheese dressing, chicken, fresh celery bits and mozzarella-provolone cheese blend.',8.79,NULL,NULL,1,0,0),(500002,'Parmesan Garlic Chicken Flatbread','Flatbreads','Our signature Parmesan Garlic sauce tops this crispy, oven-baked flatbread pizza along with chicken and mozzarella-provolone cheese blend.',8.79,'www.google.com/search?q=Parmesan Garlic Chicken Flatbread','Hot Sauce',1,0,0),(500003,'Spinach Artichoke Chicken Flatbread','Flatbreads','Savor the unexpected. Crispy, oven-baked flatbread pizza crust smothered with a rich, creamy spinach artichoke dip, diced chicken and mozzarella-provolone cheese blend.',8.79,'www.google.com/search?q=Spinach Artichoke Chicken Flatbread','Tomato',1,0,0),(600001,'Ultimate Nachos','Appetizers','Step up to the plate. Chili, pico de gallo, shredded lettuce, jalapenos, queso and salsa all atop a mound of fresh corn tortilla chips.',8.02,NULL,NULL,0,0,0),(600002,'Mozzarella Sticks','Appetizers','Fried cheesy goodness served with marinara sauce.',6.59,NULL,NULL,0,0,0),(600003,'Southwest Bites','Appetizers','Get your hot streak started. Crushed tri-colored tortillas stuffed with queso, spicy chicken, jalapenos, tomatoes, onions, black beans and corn. Served with southwestern ranch dressing.',6.04,NULL,NULL,0,0,0),(600004,'Chips & Salsa','Appetizers','Warm corn tortilla chips served with red salsa and green tomatillo sauce.',4.39,NULL,NULL,0,0,0),(600005,'Slammers','Appetizers','Swing for the fence and drive home a trio of our bite-sized sandwiches. Add big-league flavor with your favorite Buffalo Wild Wings sauce. Served with natural-cut fries.',10.11,NULL,NULL,0,0,0),(600006,'Hot Dog Slammers','Appetizers','Three classic grilled mini beef dogs served with natural-cut fries.',8.13,NULL,NULL,0,0,0),(600007,'Soft Pretzels','Appetizers','Three artisan-style soft pretzels, lightly salted. Served warm with your choice of two dunks: queso cheese, honey mustard or your favorite Buffalo Wild Wings sauce.',5.49,NULL,NULL,0,0,0),(600008,'The Sampler','Appetizers','A mouth-watering game day roster: nachos, onion rings, mozzarella sticks and boneless wings in your favorite Buffalo Wild Wings sauce. Served with marinara, southwestern ranch and your choice of bleu cheese or ranch dressing.',13.19,NULL,NULL,0,0,0),(600009,'Roasted Garlic Mushrooms','Appetizers','Whole-button mushrooms, breaded and fried. Served with ranch or southwestern ranch.',6.04,NULL,NULL,0,0,0),(600010,'Fried Pickles','Appetizers','Cornmeal breaded chips cooked golden-brown and served with ranch or southwestern ranch.',5.82,NULL,NULL,0,0,0),(600011,'Chicken Quesadilla','Appetizers','A grilled flour tortilla stuffed with Cajun-seasoned grilled chicken, pico de gallo and a blend of cheeses.',7.91,NULL,NULL,0,0,0),(600012,'Mini Corn Dogs','Appetizers','Maximum taste. Served with honey mustard sauce.',5.82,NULL,NULL,0,0,0),(600013,'Chili Con Queso Dip','Appetizers','A winning blend of queso and chili served with tortilla chips.',7.03,NULL,NULL,0,0,0),(600014,'Spinach Artichoke Dip','Appetizers','Served with warm pita chips.',6.7,NULL,NULL,0,0,0),(600015,'Tablegating Sampler','Appetizers','Our favorite sharables for you to enjoy! Traditional wings spun in your favorite sauce or dry seasoning. Served with soft pretzels and queso, warm pita chips with spinach artichoke dip and our bacon and cheddar stuffed jalapeno pepper bites.',13.19,NULL,NULL,0,0,0),(600016,'Jalapeno Pepper Bites','Appetizers','Breaded jalapenos stuffed with cheddar cheese and bacon. Served with ranch or southwestern ranch dressing.',5.82,NULL,NULL,0,0,0),(700001,'Honey Bbq Chicken Salad','Salads','Fresh greens, pico de gallo, a blend of cheeses, grilled chicken and BBQ ranch dressing garnished with our signature Honey BBQ sauce.',9.12,NULL,NULL,0,0,0),(700002,'Asian Zing Chicken Salad','Salads','Heat meets sweet with this combination. Crisp greens, cabbage, grilled chicken and mandarin oranges garnished with our signature Asian Zing sauce and a light Asian sesame dressing.',9.12,NULL,NULL,0,0,0),(700003,'Grilled Blackened Chicken Salad','Salads','Grilled chicken with a roasted garlic rub served over a fresh garden salad. Give your taste buds a thrill ride.',9.12,NULL,NULL,0,0,0),(700004,'Grilled Chicken Salad','Salads','Seasoned, grilled chicken served over fresh greens with tomatoes, onions, a blend of cheeses and croutons',9.12,NULL,NULL,0,0,0),(700005,'Chicken Tender Salad','Salads','Your hunger doesn\'t stand a chance. Crispy chicken Buffalo Tenders spun in your favorite Buffalo Wild Wings sauce and served over a bed of fresh greens, tomatoes, onions, croutons and a blend of cheeses.',9.12,NULL,NULL,0,0,0),(800001,'Boneless & Traditional Wings','Combos','Our signature boneless and traditional wings spun in your favorite Buffalo Wild Wings sauce or dry seasoning. Served with your choice of celery, carrots, bleu cheese or ranch dressing. Comes with a side of sauce, coleslaw and natural-cut french fries.',15.17,NULL,NULL,1,0,0),(800002,'Ribs & Chicken Tenders','Combos','You simply can\'t beat \'em. A half pound of delicious glazed and grilled ribs and our original all-white, bread crispy chicken Buffalo tenders. Served with your favorite Buffalo Wing Wings sauce, coleslaw and natural-cut french fries.',14.07,NULL,NULL,1,0,0),(800003,'Ribs & Popcorn Shrimp','Combos','A half pound of glazed & grilled ribs and our signature popcorn shrimp.',14.07,NULL,NULL,1,0,0),(800004,'Ribs & Wings','Combos','This is a slam-dunk. A half pound of hunger-satisfying glazed and grilled ribs and our signature boneless or traditional wings spun in your favorite Buffalo Wild Wings sauce or dry seasoning. Served with your choice of celery, carrots, bleu cheese',15.17,NULL,NULL,1,0,0),(800005,'Ribs & More Ribs','Combos','A meal for the record books: a full pound of our glazed & grilled ribs. Served with your favorite Buffalo Wing Wings sauce, coleslaw and natural-cut french fries.',18.03,NULL,NULL,1,0,0),(800006,'Chicken Tenders & Popcorn Shrimp','Combos','Our original all-white, breaded, crispy chicken Buffalo Tenders and our signature popcorn shrimp. Served with your favorite Buffalo Wing Wings sauce, coleslaw and natural-cut french fries.',13.85,NULL,NULL,1,0,0),(900001,'Regular French Fries','Sides','Natural-cut fries. Try them dusted with our signature Salt & Vinegar seasoning. You\'ll have a new hometown hero.',2.85,NULL,NULL,0,0,0),(900002,'Basket Of French Fries','Sides','Natural-cut fries. Try them dusted with our signature Salt & Vinegar seasoning. You\'ll have a new hometown hero.',4.06,NULL,NULL,0,0,0),(900003,'Regular Potato Wedges','Sides','Sour cream and chive flavored potato wedges.',3.29,NULL,NULL,0,0,0),(900004,'Basket Of Potato Wedges','Sides','Sour cream and chive flavored potato wedges.',4.94,NULL,NULL,0,0,0),(900005,'Regular Buffalo Chips','Sides','You have the green flag to enjoy these natural-cut potato slices. Add one of our Signature dry seasonings and they\'ll be gone in record time.',3.29,NULL,NULL,0,0,0),(900006,'Basket of Buffalo Chips','Sides','You have the green flag to enjoy these natural-cut potato slices. Add one of our Signature dry seasonings and they\'ll be gone in record time.',4.94,NULL,NULL,0,0,0),(900007,'Regular Onion Rings','Sides','Fresh eye-watering onions plunged into beer batter then fried golden crisp. Served with southwestern ranch dressing.',4.83,NULL,NULL,0,0,0),(900008,'Basket of Onion Rings','Sides','Fresh eye-watering onions plunged into beer batter then fried golden crisp. Served with southwestern ranch dressing.',7.69,NULL,NULL,0,0,0),(900009,'Side Salad','Sides',NULL,4.06,NULL,NULL,0,0,0),(900010,'Coleslaw','Sides',NULL,1.09,NULL,NULL,0,0,0),(900011,'Veggie Boat','Sides','Celery and carrot sticks served with a side of fat-free ranch dressing.',2.19,NULL,NULL,0,0,0);
/*!40000 ALTER TABLE `menuitem` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `resttable`
--

DROP TABLE IF EXISTS `resttable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `resttable` (
  `tableID` int(11) NOT NULL,
  `tableStatus` varchar(20) NOT NULL DEFAULT 'Open',
  `assignedWaiter` varchar(50) DEFAULT NULL,
  `numOfSeats` int(11) DEFAULT NULL,
  PRIMARY KEY (`tableID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `resttable`
--

LOCK TABLES `resttable` WRITE;
/*!40000 ALTER TABLE `resttable` DISABLE KEYS */;
INSERT INTO `resttable` VALUES (1,'Open',NULL,2),(2,'Open',NULL,2),(3,'Open',NULL,2),(4,'Open',NULL,2),(5,'Open',NULL,2),(6,'Open',NULL,2),(7,'Open',NULL,2),(8,'Open',NULL,4),(9,'Open',NULL,4),(10,'Open',NULL,4),(11,'Open',NULL,4),(12,'Open',NULL,4),(13,'Open',NULL,4),(14,'Open',NULL,4),(15,'Open',NULL,4);
/*!40000 ALTER TABLE `resttable` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-05-04 18:38:31
