package menuPackage;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import java.util.ArrayList;
import java.util.LinkedList;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/***
 * This class proceeds after the EditMenuFoodItemPanel.  
 * It allows for User to edit the selected food item from the menu 
 * and update the modified version into the database.
 * @author Pradnya
 *
 */
public class UpdateMenuItemPanel extends JPanel{
	private JTextField NameField,DescField,PriceField, IngredientsField, FoodTypeField, UpdateMenuError;
	private JLabel Name,Desc,Price, Ingredients, FoodType;
	
	private String n,d,i,f;
	private double p;
	
	private JButton Add,Update, Back;
	private JFrame frame;
	LinkedList<MenuItem> menu;
	LinkedList<MenuItem> foodType;
    MenuItem myMenuItem = new MenuItem();	
	MenuItem myfoodType = new MenuItem();
	ArrayList<String> FoodTypeList = new ArrayList<String>();
	private String itemName;
	ResultSet rsFoodItemsList;
	Color color =new Color(255,0,0); 
	Font font = new Font("Verdana", Font.BOLD, 12);
	
	private String  MenuItem, MenuItemFoodType, MenuItemDesc, MenuItemPrice, MenuItemUrl, MenuItemIngred;
	private int MenuItemID;
    public String MenuFoodItem;
	private JComboBox box;	
	
	private static String[] filename = {"Select one", "Burgers", "Beverages", "Wings", "Wraps", "Sandwiches", "Flatbreads",
		"Appetizers", "Salads", "Combos", "Sides"};
	//private String[] filename = new String[FoodTypeList.size()];
	 
	private JComboBox IngredBox;
	private static String[] ingredientList = {"Select One", "Tomato", "Sugar", "Onions", "Hot Sauce",
			"Chicken", "Beef", "Peppers", "Bread"};
	
	
	public UpdateMenuItemPanel(JFrame frame,LinkedList<MenuItem> menu){
		this.frame = frame;
		this.menu = menu;
			
		TextListener tlistener = new TextListener();
		
		Name = new JLabel("Name:");		
		NameField = new JTextField(45);
		NameField.addActionListener(tlistener);
		
		Desc = new JLabel("Description:");
		DescField = new JTextField(42);
		DescField.setText("Enter Description Here");
		DescField.addActionListener(tlistener);

		Price = new JLabel("Price: $");
		PriceField = new JTextField(5);
		PriceField.addActionListener(tlistener);
		
		Ingredients = new JLabel("Ingredients:");
		IngredientsField = new JTextField(20);
		
		//IngredientsField.setText("Enter Ingredients Here");
		//IngredientsField.addActionListener(tlistener);
		
		FoodType = new JLabel("Food Type:");
		FoodTypeField = new JTextField(20);
		
		UpdateMenuError = new JTextField(60);
		UpdateMenuError.addActionListener(tlistener);	
		
		//FoodTypeField.setText("Enter FoodType Here");
		//FoodTypeField.addActionListener(tlistener);
		
        setLayout(new FlowLayout());       
        UpdateMenuError.setVisible(false);
        
         
       /*
        * 
        *         String name = NameField.getText();
        
        try {
        	resultSet.updateString("itemName", name);
        	resultSet.updateRow();
        	JOptionPane.showMessageDialog(UpdateMenuItemPanel.this, "Updated");
        	
        }
        catch(SQLException err){
        	System.out.println(err.getMessage());
        }
        
        */
        
   /*     String MenuFoodItem = NameField.getText();
        Connection con = null;
        ResultSet rsMenuItemInfo;
        ResultSet statement = null;
       clsDataAccess updateDataAccess = new clsDataAccess();
       rsMenuItemInfo = updateDataAccess.getMenuItembyItemName(MenuFoodItem);
      
       try {while(rsMenuItemInfo.next()){
    	  // MenuFoodItem = rsMenuItemInfo.getString("itemName").toString();
    	   //NameField.setText(MenuFoodItem);
    	   NameField.setText(rsMenuItemInfo.getString(itemName));
      
       	 rsMenuItemInfo.updateString("itemName", MenuFoodItem); 
       	//rsMenuItemInfo.updateRow();
       	rsMenuItemInfo.insertRow();
       	statement.close();
       	rsMenuItemInfo.close();
       	
       	
		statement = (ResultSet) con.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_UPDATABLE);
       	
		String sql = "SELECT * FROM restauto.menuitem"; 
		//statement.exceuteUpdate("SELECT * FROM restauto.menuitem");
		
       	 JOptionPane.showMessageDialog(UpdateMenuItemPanel.this, "UPDATED");
       }}	
       
		 catch (SQLException e) {
			e.printStackTrace();
		}
       
       System.out.println("MenuItem :" +MenuFoodItem);
       System.out.println("MenuItemDesc :" +MenuItemDesc);
       
       */
        
     /*   String MenuFoodItem = "Cheeseburger";
         ResultSet rsMenuItemInfo;
        clsDataAccess updateDataAccess = new clsDataAccess();
        rsMenuItemInfo = updateDataAccess.getMenuItembyItemName(MenuFoodItem);
       
        try {while (rsMenuItemInfo.next()) { 
        	 MenuItem = rsMenuItemInfo.getString("itemName").toString(); 
        	 MenuItemDesc = rsMenuItemInfo.getString("itemDescription").toString(); 
        	 MenuItemPrice = rsMenuItemInfo.getString("itemPrice").toString(); 
        	 MenuItemIngred = rsMenuItemInfo.getString("ingredientName").toString(); 
        	NameField.setText(MenuItem);
		//	NameField.setText(rsMenuItemInfo.getString(itemName));
			DescField.setText(MenuItemDesc);
			PriceField.setText(rsMenuItemInfo.getString(MenuItemPrice));
			IngredBox.addItem(MenuItemIngred);
			        }	
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
        
        System.out.println("MenuItem :" +MenuItem);
        System.out.println("MenuItemDesc :" +MenuItemDesc);
        */
                       
		ArrayList<String> MenuItemInfo = new ArrayList<String>();
		String[] MenuItems = new String[MenuItemInfo.size()];
		// String MenuItems[] = null;
	    // String MenuFoodItem = MenuItem;
		System.out.println("MenuItem = "+MenuItem);
        // String MenuFoodItem = "Cheeseburger";
	    MenuFoodItem =EditMenuFoodItemPanel.getItemName();
        System.out.println("MenuFoodItem = "+MenuFoodItem);
        
        clsDataAccess updateDataAccess = new clsDataAccess();
        MenuItemInfo = updateDataAccess.getMenuItemInfo(MenuFoodItem);
          
        MenuItems = MenuItemInfo.toArray(MenuItems);
          
        MenuItemID = Integer.parseInt(MenuItems[0]);
        MenuItem =  MenuItems[1] ;   
        MenuItemFoodType =  MenuItems[2];
        MenuItemDesc =  MenuItems[3];  
		MenuItemPrice =  MenuItems[4] ;  
		MenuItemUrl = MenuItems[5];  
		MenuItemIngred = MenuItems[6] ;  
		    
		for (int i = 0; i < 6; i++ ){
		//       MenuItemList.
	       MenuItemInfo.add(MenuItems[i]); } 
      
           	NameField.setText(MenuItem);
			DescField.setText(MenuItemDesc);
			PriceField.setText(MenuItemPrice);
			IngredientsField.setText(MenuItemIngred);
			IngredientsField.setEnabled(false);
			FoodTypeField.setText(MenuItemFoodType);
			FoodTypeField.setEnabled(false);
		
       System.out.println("MenuItemID :" +MenuItemID);
       System.out.println("MenuItem :" +MenuItem);
       System.out.println("MenuItemDesc :" +MenuItemDesc);
       System.out.println("MenuItemPrice :" +MenuItemPrice);
       System.out.println("MenuFoodType :" +MenuItemFoodType);
       System.out.println("MenuItemUrl :" +MenuItemUrl);
       System.out.println("MenuItemIngredient :" +MenuItemIngred);
       
        
       IngredBox = new JComboBox(ingredientList);
       IngredBox.addItemListener(
	   new ItemListener(){ // anonymous class
		   
		   public void itemStateChanged(ItemEvent event){
				UpdateMenuError.setVisible(false);
				
				if (event.getStateChange() == ItemEvent.SELECTED)
					i = ingredientList[IngredBox.getSelectedIndex()];
					System.out.println("Ingredients :"+ingredientList[IngredBox.getSelectedIndex()]);							
			}
					/*	if(event.getStateChange()==ItemEvent.SELECTED)
							picture.setIcon(pics[box.getSelectedIndex()]);*/
		});
		
		
       box = new JComboBox(filename);
       box.addItemListener(
	   new ItemListener(){ // anonymous class
	   
		   public void itemStateChanged(ItemEvent event){
			   UpdateMenuError.setVisible(false);
			   
			   if (event.getStateChange() == ItemEvent.SELECTED)
				   f = filename[box.getSelectedIndex()];
				   System.out.println("FoodType :"+filename[box.getSelectedIndex()]);
			}
						/*	if(event.getStateChange()==ItemEvent.SELECTED)
								picture.setIcon(pics[box.getSelectedIndex()]);*/ 
		});
			
		//Add = new JButton("Add item");
		//Add.addActionListener(new ButtonListener(this));
		
	
	    Update = new JButton("Update item");
		Update.addActionListener(new ButtonListener(this));
		
		Back = new JButton("Back");
		Back.addActionListener(new ButtonListener(this));
		
		p=0;

		add(Name);
		add(NameField);
		add(Desc);
		add(DescField);
		add(Price);
		add(PriceField);
		add(FoodType);
		add(FoodTypeField);
		add(box);
	    add(Ingredients);
		add(IngredientsField);
		add(IngredBox);
	//	add(gui);
	//	add(Add);
		
		add(Update);	
		add(Back);
		add(UpdateMenuError);
	}
	

	private class TextListener implements ActionListener {
		public void actionPerformed (ActionEvent event){
			if (event.getSource()==NameField)
				n=NameField.getText();
			else if(event.getSource()==DescField)
				d=DescField.getText();
		//	else if(event.getSource()==IngredientsField)
		//		i=IngredientsField.getText();
			//else if(event.getSource()==FoodTypeField)
			//	f = filename[box.getSelectedIndex()];
				//f=FoodTypeField.getText();
			else if (event.getSource()==IngredBox)
				i = ingredientList[0];
			else if (event.getSource()==box)
				f = filename[0];
			else
				p=Double.parseDouble(PriceField.getText());
		}
	}
	
	private class ButtonListener implements ActionListener{
		UpdateMenuItemPanel panel;
		
		public ButtonListener(UpdateMenuItemPanel updateMenuItemPanel){
			this.panel=updateMenuItemPanel;
			
			/* if you have dropdownlist named as ddlMenuIngredients
			
			   ArrayList<String> MenuIngredientsList = new ArrayList<String>(); 
			   clsDataAccess myDataAccess = new clsDataAccess();
			   MenuIngredientsList = myDataAccess.getIngredientList();
			   for (int i = 0; i < MenuIngredientsList.length; i++)
			   ddlMenuIngredients.addItem(MenuIngredientsList(i));
			   
			*/
			
		}

		public void actionPerformed (ActionEvent event){
			if(event.getSource()==Add){
				//ResultSet resultSet = null;
				//int menuItemID = 400; 
				revalidate();
				repaint();
				updateUI();
				int menuItemID = 0;
				
				clsDataAccess myDataAccess = new clsDataAccess();
				
				if(n!=null && d!=null && p!=0 && box.getSelectedIndex() > 0 && IngredBox.getSelectedIndex() > 0){
					menuItemID = myDataAccess.getMaxMenuID(f);
				//	menuItemID = myDataAccess.getMaxMenuID("Burgers");
					System.out.println(menuItemID);
					menuItemID = menuItemID + 1; 
					
				/*	myDataAccess.setMenuItems(300, "Test Menu3", "Test Menu3", "Test Menu3", 11.50);
					dataAccess = new clsDataAccess();
				    resultSet = myDataAccess.getMaxMenuID("Burgers");
				    
					try {menuItemID = resultSet.getInt("maxItemFoodID");} 
					catch (SQLException e) {e.printStackTrace();}
					
					menuItemID = menuItemID + 1; 
					myDataAccess.getIngredientList();	
					
					myDataAccess.setMenuItems(menuItemID, n, "test4", d, p); 
					menuItemID = menuItemID + 1; */	
					
					myDataAccess.setMenuItems(menuItemID, n, f, d, p); 
					String url = "www.google.com/search?q="+n;
					System.out.println("Added item:");
					myMenuItem.printItem(n,d,p,f, i, url,menuItemID);
					
					// System.out.println("Name: "+n);
					// System.out.println("Desc: "+d);
					// System.out.println("Price: "+p);
					// System.out.println("URL: "+url);
					// System.out.println("Menu ID: " +menuItemID);
					
					menu.add(new MenuItem(n,d,p,f, i));
				}
			}
			
			if(event.getSource()==Update){
				// ResultSet resultSet = null;
				// int menuItemID = 400; 
				revalidate();
				repaint();
				updateUI();
				//	int menuItemID = 0;
				
				clsDataAccess myDataAccess = new clsDataAccess(); 
				
				if(n!=null && d!=null && p!=0 && box.getSelectedIndex() > 0 && IngredBox.getSelectedIndex() > 0){
				
				/*	menuItemID = myDataAccess.getMaxMenuID(f);
				  	menuItemID = myDataAccess.getMaxMenuID("Burgers");
					System.out.println(menuItemID);
					menuItemID = menuItemID + 1; 
					
					myDataAccess.setMenuItems(300, "Test Menu3", "Test Menu3", "Test Menu3", 11.50);
					//dataAccess = new clsDataAccess();
					resultSet = myDataAccess.getMaxMenuID("Burgers");
					
					try {menuItemID = resultSet.getInt("maxItemFoodID");} 
					catch (SQLException e) {e.printStackTrace();}
					
					menuItemID = menuItemID + 1; 
					myDataAccess.getIngredientList();	
					
					myDataAccess.setMenuItems(menuItemID, n, "test4", d, p); 
					menuItemID = menuItemID + 1; 
					myDataAccess.setMenuItems(menuItemID, n, f, d, p); */
					
					String url = "www.google.com/search?q="+n;
					myDataAccess.UpdateMenuItems(MenuItemID, n, f, d, p, i, url); 
					System.out.println("Updated item:");
					
					 //UpdateMenuError.setForeground(color);
					 UpdateMenuError.setForeground(Color.blue);
					 UpdateMenuError.setFont(font);
					 UpdateMenuError.setText("Updated Menu Item for: " + n);
					 UpdateMenuError.setVisible(true);
					 // EditMenuError.setEnabled(false);
					 UpdateMenuError.setEditable(false);
					 
					 myMenuItem.printItem(n,d,p,f, i, url,MenuItemID);
					 // System.out.println("Name: "+n);
					 // System.out.println("Desc: "+d);
					 // System.out.println("Price: "+p);
					 // System.out.println("URL: "+url);
					 // System.out.println("Menu ID: " +menuItemID);
					
					 menu.add(new MenuItem(n,d,p,f, i));
			    	}
				
				else {
					UpdateMenuError.setForeground(color);
					// EditMenuError.setForeground(Color.red);
					UpdateMenuError.setFont(font);
					UpdateMenuError.setText("Please select Food Type and Menu Item from the list");
					UpdateMenuError.setVisible(true);
					// EditMenuError.setEnabled(false);
					UpdateMenuError.setEditable(false);
				}
			}
			
			else{
				revalidate();
				repaint();
				updateUI();
				frame.getContentPane().remove(panel);
				try {
					frame.getContentPane().add(new EditMenuFoodItemPanel(frame,menu));
				} catch (SQLException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
				//frame.getContentPane().add(new MainMenuPanel(frame,menu));
				frame.setSize(600,200);
				//frame.pack();
				frame.setVisible(true);
			}
		}
	}

	
	
	
}