package buffalowildwings.menu;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnLongClickListener;
import android.widget.Button;
import android.widget.Toast;

public class BuffaloWildWingsActivity extends Activity implements OnClickListener,OnLongClickListener{
	Button StartOrder,CallWaiter,Delete;
	OrderList order;
	String address;
	int status;
	OrderProgressTask orderprogress;
	public void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.menuhome);
		getWindow().setBackgroundDrawableResource(R.drawable.homescreen2);
		order = new OrderList();
		//get macaddr
        WifiManager wimanager = (WifiManager)getSystemService(Context.WIFI_SERVICE);
        address= wimanager.getConnectionInfo().getMacAddress();
        Log.d(null,"mac is "+address);
        Intent intent = this.getIntent();
        status = intent.getIntExtra("activity", 0);
        new GetOrderTask(order,address,this).execute("");
        orderprogress=new OrderProgressTask(this,address,status);
        orderprogress.execute("");
        order.printOrderList();
        
		StartOrder = (Button) findViewById(R.id.StartOrder);
		StartOrder.setOnClickListener(this);
		CallWaiter = (Button) findViewById(R.id.CallWaiter);
		CallWaiter.setOnClickListener(this);
		Delete = (Button) findViewById(R.id.hiddenbutton);
		Delete.setOnLongClickListener(this);
		Delete.setBackgroundColor(Color.TRANSPARENT);
		
	
	}

	@Override
	public void onClick(View v) {
		int id = v.getId();
		if(id == R.id.StartOrder){
			SendIntent.startNewActivity(this, order, MenuTest2Activity.class,orderprogress);
		}
		else if( id == R.id.CallWaiter){
			Toast toast = Toast.makeText(v.getContext(), "A waiter will be with you shortly",Toast.LENGTH_SHORT);
			toast.show();
			}
		
	}
    public boolean onKeyDown(int keyCode, KeyEvent event){  
        //replaces the default 'Back' button action  
        if(keyCode==KeyEvent.KEYCODE_BACK)  
        {  

        }  
        return true;  
    }

	@Override
	public boolean onLongClick(View v) {
		if(v.getId()==R.id.hiddenbutton){
			PasswordPopUp popup2 =new PasswordPopUp(this,order);
			popup2.initiatePopupWindow();
			order=popup2.order;
		}
		return false;
	} 
}