package buffalowildwings.menu;

import android.app.Activity;
import android.app.ProgressDialog;
import android.os.AsyncTask;
import android.util.Log;
import android.widget.Toast;

public class UpdateTask extends AsyncTask<String,Void,Void>{

	public OrderList order;
	private String macaddr;
	private Activity activity;
	private ProgressDialog pd;
	public UpdateTask(OrderList order,String macaddr,Activity a){
		this.order=order;
		this.macaddr=macaddr;
		this.activity=a;
	}
	
	protected void onPreExecute(){
		  pd = ProgressDialog.show(activity, "Working..", "Sending to Chef", true,
                false);
	}
	@Override
	protected Void doInBackground(String... params) {
		order.replaceBad();
		new MenuItemQuery(macaddr).updateOrderTable(order);
		Log.d(null,"Finished Update");
		return null;
	}
	
	protected void onPostExecute(Void v){
		pd.dismiss();
		SendIntent.startNewActivity(activity, order, BuffaloWildWingsActivity.class,null);
		Toast toast = Toast.makeText(activity.getApplicationContext(), "Order Sent!",Toast.LENGTH_SHORT);
		toast.show();
		
	}

}