package menuPackage;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import java.util.ArrayList;
import java.util.LinkedList;
import javax.swing.*;

import java.sql.ResultSet;
import java.sql.SQLException;
import menuPackage.MainMenuPanel.ButtonListener;

/**
 * This JPanel allows user to select a specific menu item from a JCombo box based on the selected food type.
 * This will link to UpdateMenuFoodItemPanel JPanel
 *
 * @author Pradnya
 */

public class EditMenuFoodItemPanel extends JPanel{

	private static final long serialVersionUID = 1L;
	
	private JTextField MenuItemField, FoodTypeField, EditMenuError;
	private JLabel MenuItems, FoodType;
	private JButton Edit, Remove, Back;
	private JComboBox box;
	
	private JTextField Update;
	private JButton btnUpdate;
	
	private JFrame frame;
	//private String itemName;
	public static String itemName;

	private String menuFoodType, menuFoodItem;

	private String i;
	LinkedList<MenuItem> menu;
	MenuItem myMenuItem = new MenuItem();
	LinkedList<MenuItem> foodType;
   	MenuItem myfoodType = new MenuItem();
	ArrayList<String> MenuItemList = new ArrayList<String>();
	ResultSet rsMenuItemsList;
    ResultSet rsFoodTypesList;
    
  	private JComboBox foodTypeList;	
	 private static String[] foodTypes = {"Select One","Burgers", "Beverages", "Wings", "Wraps", "Tenders and Shrimp", "Sandwiches", "Flatbreads",
		"Appetizers", "Salads", "Combos", "Desserts", "Sides"};
	
	//	private static String[] filename = {"test", "Diet Coca-cola", "Tomato", "Sugar", "Onions", "Hot Sauce",
//		"Chicken", "Beef", "Peppers", "Bread"};
	private String[] filename = new String[MenuItemList.size()];
	TextListener tlistener = new TextListener();
	
	public EditMenuFoodItemPanel(JFrame frame,LinkedList<MenuItem> menu) throws SQLException{
		//super("Ingredients");
		this.frame = frame;
		this.menu = menu;
		
		
		FoodType = new JLabel("FoodType:");
		FoodTypeField = new JTextField(100);
		
		FoodTypeField.setText("Enter FoodType Here");
		FoodTypeField.addActionListener(tlistener);
		
		MenuItems = new JLabel("Menu Items:");
		MenuItemField = new JTextField(100);
		
		MenuItemField.setText("Enter Ingredients Here");
		MenuItemField.addActionListener(tlistener);	
		
		EditMenuError = new JTextField(30);
		EditMenuError.addActionListener(tlistener);	
			
	//	TextListener tlistener = new TextListener();
		
		Edit = new JButton("Edit");
		Edit.addActionListener(new ButtonListener(this));
		
		Remove = new JButton("Remove");
		Remove.addActionListener(new ButtonListener(this));
		
		Back = new JButton("Back");
		Back.addActionListener(new ButtonListener(this));
				
		setLayout(new FlowLayout());
		
		//updateJComboBox();
		EditMenuError.setVisible(false);
		
				
	/*	box.addItem(MenuItemList);
		 for (int i = 0; i < MenuItemList.length; i++)
			   ddlMenuIngredients.addItem(MenuIngredientsList(i));	*/
	//	filename = (String[]) MenuItemList.toArray();
			// adding an item listener to the box
			// Takes an event handler object as the parameter
		
		foodTypeList = new JComboBox(foodTypes);
		// adding an item listener to the box
		// Takes an event handler object as the parameter
		foodTypeList.addItemListener(
				// anonymous function that implements and itemlistener class
				new ItemListener(){ // anonymous class
					public void itemStateChanged(ItemEvent event){
						EditMenuError.setVisible(false);
						if (event.getStateChange() == ItemEvent.SELECTED)
							menuFoodType = foodTypes[foodTypeList.getSelectedIndex()];
							System.out.println("FoodType 3:"+foodTypes[foodTypeList.getSelectedIndex()]);
							
							menuFoodType = foodTypes[foodTypeList.getSelectedIndex()];
							System.out.println("FoodType4 :"+foodTypes[foodTypeList.getSelectedIndex()]);
							
							box.removeAllItems();
							if (menuFoodType == "Select One")
							 box.addItem("Menu Items");
							else
							{
							clsDataAccess myMenuArrayItemList = new clsDataAccess();
							System.out.println("Menu Food type3 = " +menuFoodType);
							MenuItemList =	myMenuArrayItemList.getMenuItemArrayList(menuFoodType);
							System.out.println("Menu Item Array3 :"+MenuItemList);
						//	setLayout(new FlowLayout());
							
							filename = MenuItemList.toArray(filename);
							//box = new JComboBox(filename);
							
							System.out.println("Menu Item Array 4 :"+MenuItemList);
							
							filename = MenuItemList.toArray(filename);
							//for (int i = 0; i < filename.length; i++) {  
							for (int i = 0; i < MenuItemList.size(); i++){
								box.addItem(filename[i]); 
							}						//	box.addItem(MenuItemList);
						//	box = new JComboBox(filename);
							
					//		add(box);
							
										
					}
					/*	if(event.getStateChange()==ItemEvent.SELECTED)
							picture.setIcon(pics[box.getSelectedIndex()]);*/
			}});

		/*
		menuFoodType = foodTypes[foodTypeList.getSelectedIndex()];
		System.out.println("FoodType :"+foodTypes[foodTypeList.getSelectedIndex()]);
		clsDataAccess myMenuArrayItemList = new clsDataAccess();
		System.out.println("Menu Food type = " +menuFoodType);
		MenuItemList =	myMenuArrayItemList.getMenuItemArrayList(menuFoodType);
		System.out.println("Menu Item Array :"+MenuItemList);
	//	setLayout(new FlowLayout());
		filename = MenuItemList.toArray(filename);
		//box = new JComboBox(filename);
	*/	
		System.out.println("Menu Item Array 2 :"+MenuItemList);
		
	
		
	//	filename = MenuItemList.toArray(filename);
		box = new JComboBox(filename);
		box.addItem("Menu Items");
		box.addItemListener(
				// anonymous function that implements and itemlistener class
				new ItemListener(){ // anonymous class
					public void itemStateChanged(ItemEvent event){
						EditMenuError.setVisible(false);
						if (event.getStateChange() == ItemEvent.SELECTED)
							// itemName = filename[box.getSelectedIndex()];
						  //   MenuItemField.setText(itemName);
							System.out.println("Menu Item :"+filename[box.getSelectedIndex()]);
							//System.out.println("Menu Item :"+MenuItemList[box.getSelectedIndex()]);
						//	 System.out.println("Menu Item :"+itemName);
						
						// method in itemlistener
					}
					/*	if(event.getStateChange()==ItemEvent.SELECTED)
							picture.setIcon(pics[box.getSelectedIndex()]);*/
					
				});
		
							
		//MenuItems = new JLabel("Menu Items:");
		//MenuItemField = new JTextField(100);
		
		//IngredientsField.setText("Enter Ingredients Here");
		//IngredientsField.addActionListener(tlistener);	
			
		//	updateJComboBox(rsMenuItemsList);
					
			/*while (rsMenuItemsList.next()) {  
				 box.addItem(rsMenuItemsList.getString("itemName"));
			       String MenuItem = rsMenuItemsList.getString("itemName");      
			       MenuItemList.add(MenuItem); } 
			       box.addItem(rsMenuItemsList);*/
		add(FoodType);
		add(foodTypeList);
		add(MenuItems);
	//	add(MenuItemField);
		add(box);
		add(Edit);
		//add(Remove);
		add(Back);
		add(EditMenuError);
		//	add(IngredientsField);
	//		add(gui);
			
}
	
	public static String getItemName(){
			 return itemName;}
	
	private class TextListener implements ActionListener {
		public void actionPerformed (ActionEvent event){
			if (event.getSource()==MenuItemField)
				i=MenuItemField.getText();
			else if(event.getSource()==MenuItemField)
				menuFoodItem=MenuItemField.getText();
		
		}
		
	}
	
	
	
	public class ButtonListener implements ActionListener{
	//	MainMenuPanel m1;
		EditMenuFoodItemPanel m;
	/*	public ButtonListener(MainMenuPanel MainMenuPanel){
			this.m1 = MainMenuPanel;
		}	*/
		public ButtonListener(EditMenuFoodItemPanel EditMenuFoodItemPanel){
			this.m = EditMenuFoodItemPanel;
		}	
		
		
		public void actionPerformed (ActionEvent event){
				 if(event.getSource()==Edit){
					 menuFoodType = foodTypes[foodTypeList.getSelectedIndex()];
					 System.out.println("Menu Food Item Edit Action : "+menuFoodType);
					
					 //if (itemName != null )
						if (foodTypeList.getSelectedIndex() > 0)
					 {					 
					//Removes the main menu screen from the window
				//	 frame.getContentPane().remove(m1);
							EditMenuError.setVisible(false);
							 itemName = filename[box.getSelectedIndex()];
							 System.out.println("Menu Item Edit Action : "+itemName);
						frame.getContentPane().remove(m);
						
						//Sets the window to now show the AddMenuItem Interface
						frame.getContentPane().add(new UpdateMenuItemPanel(frame,menu));
						
						//Always required
						//frame.pack();
						frame.setSize(1150, 200);
						frame.setVisible(true);}
					 else {
						 updateUI();
						 Color color=new Color(255,0,0); 
						 Font font = new Font("Verdana", Font.BOLD, 12);
						 EditMenuError.setForeground(color);
						// EditMenuError.setForeground(Color.red);
						 EditMenuError.setFont(font);
						 EditMenuError.setText("Please select Food Type and Menu Item from the list");
						 EditMenuError.setVisible(true);
						// EditMenuError.setEnabled(false);
						 EditMenuError.setEditable(false);
					 }
					 
					
					 
		/*		int result = 0;
				
				    itemName = filename[box.getSelectedIndex()];
				//	System.out.println("Menu Item :"+filename[box.getSelectedIndex()]);
				clsDataAccess myDataAccess = new clsDataAccess();
				//myDataAccess.removeMenuItems("test432");
				result = clsDataAccess.removeMenuItems(filename[box.getSelectedIndex()]);
			//	result = myDataAccess.removeMenuItems(box.getSelectedItem().toString());
				//result = myDataAccess.removeMenuItems(itemName);
				
				if (result > 0){
				System.out.println(itemName +" Item Successfully Removed");
				//System.out.println("Item Successfully Removed");
				System.out.println("Remove"); 
				} */
			}		
							
				 else if(event.getSource()==Remove){
			//	frame.getContentPane().remove(m);
				
				//Sets the window to now show the AddMenuItem Interface
			//	frame.getContentPane().add(new RemoveMenuItemPanel(frame,menu));
				//Always required
			//	frame.pack();
			//	frame.setVisible(true);
					 
						 
				int result = 0;
				
				    itemName = filename[box.getSelectedIndex()];
				//	System.out.println("Menu Item :"+filename[box.getSelectedIndex()]);
				clsDataAccess myDataAccess = new clsDataAccess();
				//myDataAccess.removeMenuItems("test432");
				result = clsDataAccess.removeMenuItems(filename[box.getSelectedIndex()]);
			//	result = myDataAccess.removeMenuItems(box.getSelectedItem().toString());
				//result = myDataAccess.removeMenuItems(itemName);
				
				if (result > 0){
				System.out.println(itemName +" Item Successfully Removed");
				//System.out.println("Item Successfully Removed");
				System.out.println("Remove");
				}
			}
				 
				 else{
						revalidate();
						repaint();
						updateUI();
						frame.getContentPane().remove(m);
					//	frame.getContentPane().remove(panel);
						frame.getContentPane().add(new MainMenuPanel(frame,menu));
						
						frame.pack();
						frame.setVisible(true);
					}
		}
	}
	
	 public void updateJComboBox() throws SQLException {
	
		 
		 
	/*	 
		 clsDataAccess myMenuItemList = new clsDataAccess();
	//myDataAccess.removeMenuItems("test432");
	//MenuItemList = myMenuItemList.getMenuItemList();
	

	rsMenuItemsList = myMenuItemList.getMenuItemList();

		while (rsMenuItemsList.next())
		{
        box.addItem(rsMenuItemsList.getString("itemname"));
		} */
	 }
	
		 
}

